iframe working on some websites and not on others
01/09/2018 02:46 AM - Ezequiel Nicolazzi
Description
What steps will reproduce the problem?

First of all, thanks for the wonderful plugin! Great tool!
When trying to use the iframe macro, it works for me on some websites but not on others. And | cannot find the reason why.

Steps to reporduce the issue:

Creating a wiki page on redmine and adding:

Will give me a blank page.. the iframe fails to create. I've tried using http, tried without http/s, tried without www. Nothing worked.
However, when using my company's website address () it works perfectly.

Tested on Chrome, Mozilla and Safari browsers. Redmine 3.3.1.stable (see below).

gooopooooono
What is the expected output? What do you see instead?

An iframe for all websites. | see a blank page (e.g. no output). The space is dedicated but no output is shown.

goooooooooooooooOoOOn
Please give us a result of following command.

)

% ruby script/about

Environment:

Redmine version 3.3.1.stable
Ruby version 2.3.0-p0 (2015-12-25) [x86_64-linux]
Rails version 4.2.71
Environment production
Database adapter Mysql2
SCM:

Subversion 1.7.14

Git 1.8.3.1

Filesystem

Redmine plugins:
redmine_email_fetcher 0.3.1

redmine_user_default_group 0.0.1
redmine_wiki_extensions 0.7.0

Please provide any additional information below.

History

#1 - 01/09/2018 08:53 PM - Haru lida

- Assignee set to Haru lida

Some website adds "X-Frame-Options" in HTTP response header. It affects how browsers treat frames.
Google sets X-Frame-Options to "Deny" and browsers does not display it in iFrame.
http://www.%20Nothing

https://tools.ietf.org/html/rfc7034

#2 - 01/09/2018 08:53 PM - Haru lida

- Project changed from r-labs to Wiki Extensions

#3 - 01/09/2018 09:18 PM - Ezequiel Nicolazzi

Haru,
thanks a lot for your quick response.

My actual target website was - of course - not google. | used that as a (stupid) example. I'm trying to display this website
http://www.quality-certification.com/certifiedfield.asp
| looked at the source code and | could not find any X-Frame-Option active in the website.

If | write a simple html with an iframe tag, the google website does not display (as expected following your explanation above) but my website does.
My question is: is there any other possible explanation why a website would not display on the "iframe" macro.

This is the result when | attempt the following command:

{{iframe (http://www.quality-certification.com/certifiedfield.asp) }}

#4 - 01/10/2018 10:49 PM - Haru lida

I think your redmine run with https. You can't mix http page into https page because of security.
